#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    string a = "", b = "";
    cin >> n;
    long long niz[n];
    for(long long i = 0 ; i < n ; i++){
        cin >> niz[i];
        a += niz[i] + 48;
        b += niz[i] + 48;
    }
    for(long long i = 0 ; i < n ; i++){

        for(long long j  = i + 1 ; j < n ; j++){
            swap(b[i], b[j]);
            if(a < b) a = b;
            swap(b[i], b[j]);
        }
    }
    if(a == b) swap(a[n - 1], a[n - 2]);
    for(long long i = 0 ; i < n ; i++){
        cout << a[i] << " ";
    }
    return 0;
}